/finance/position/{positionId}/added_value/{addedValueId}

Update Added Value

Updates an existing added value entry for a given estimate position.

Base URL
https://<tenant>.dieagenturverwaltung.de/api/v2
Required Security
None
Produces
application/json

Request

Path Parameters

NameTypeRequiredDescription
positionIdintegerYesEstimate Position ID
addedValueIdintegerYesAdded Value ID

Body Parameters

NameTypeRequiredDescription
bodyapp.AddedValueYesUpdated Added Value Data

Parameter Models

Inspect object parameters and nested model references without loading the full Swagger file in the browser.

bodyBody parameterapp.AddedValue
date_created
integer
No description.
date_deleted
integer
No description.
date_end
integer
No description.
date_modified
integer
No description.
date_start
integer
No description.
estimate_position
No description.
estimate_position_id
integer
No description.
id
integer
No description.
user
No description.
user_id
integer
No description.
value
number
No description.
cURL
curl -X PUT 'https://<tenant>.dieagenturverwaltung.de/api/v2/finance/position/123/added_value/123' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  --data-raw '{
  "date_created": 123,
  "date_deleted": 123,
  "date_end": 123,
  "date_modified": 123,
  "date_start": 123,
  "estimate_position": {},
  "estimate_position_id": 123,
  "id": 123,
  "user": {},
  "user_id": 123,
  "value": 123.45
}'
Request Body (application/json)
{
  "date_created": 123,
  "date_deleted": 123,
  "date_end": 123,
  "date_modified": 123,
  "date_start": 123,
  "estimate_position": {...},
  "estimate_position_id": 123,
  "id": 123,
  "user": {...},
  "user_id": 123,
  "value": 123.45
}

Responses

200OK
app.AddedValueapplication/json
Example
{
  "date_created": 123,
  "date_deleted": 123,
  "date_end": 123,
  "date_modified": 123,
  "date_start": 123,
  "estimate_position": {...},
  "estimate_position_id": 123,
  "id": 123,
  "user": {...},
  "user_id": 123,
  "value": 123.45
}
400Bad Request
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
404Not Found
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
500Internal Server Error
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}